Last modified: 2008-01-03 20:22:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 11102 - Update Documentation in hooks.txt
Update Documentation in hooks.txt
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Documentation (Other open bugs)
1.11.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://www.mediawiki.org/wiki/Manual:...
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2007-08-28 19:36 UTC by Christian Neubauer
Modified: 2008-01-03 20:22 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Christian Neubauer 2007-08-28 19:36:32 UTC
The following hooks are not documented in hooks.txt based on a grep for 'wfRunHooks':

ParserTestParser, ArticleAfterFetchContent, ArticleEditUpdateNewTalk, ArticleEditUpdatesDeleteFromRecentchanges, ArticlePageDataAfter, ArticlePageDataBefore, ArticlePurge, ArticleShow, ArticleShowComplete, ArticleViewRedirect, DisplayOldSubtitle, EditPage::showEditForm:initial, FetchChangesList, GetBlockedStatus, IsFileCacheable, IsTrustedProxy, LanguageGetMagic, LanguageGetSpecialPageAliases, LoadAllMessages, LoadExtensionsSchemaUpdates, MagicWordMagicWords, MagicWordwgVariableIDs, MessagesPreLoad, OutputPageParserOutput, ParserAfterStrip, ParserBeforeInternalParse, ParserClearState, ParserGetVariableValueSwitch, ParserGetVariableValueTs, ParserGetVariableValueVarCache, PrefsEmailAudit, PrefsPasswordAudit, SkinTemplateBuildContentActionUrlsAfterSpecialPage, SkinTemplateBuildNavUrlsNav_urlsAfterPermalink, SkinTemplateContentActions, SkinTemplatePreventOtherActiveTabs, SkinTemplateSetupPageCss, SkinTemplateTabs, SpecialPageExecuteAfterPage, SpecialPageExecuteBeforeHeader, SpecialPageExecuteBeforePage, SpecialSearchNogomatch, SpecialVersionExtensionTypes, UndeleteShowRevision, UserClearNewTalkNotification, UserGetRights, UserRetrieveNewTalks, wgQueryPages, BeforePageDisplay, ArticleFromTitle

In addition, some hooks are not sorted alphabetically in hooks.txt but were instead just added to the end of the list.  If hooks.txt is updated, please also add one line of documentation to this table:  http://www.mediawiki.org/wiki/Manual:Hooks#Alphabetical_list_of_hooks
Comment 1 Rob Church 2007-08-28 21:48:24 UTC
Note: There seem to be some false positives in the list above, e.g. UserGetRights and FetchChangesList are both documented.

Good haul, though...
Comment 2 Christian Neubauer 2007-08-29 19:32:46 UTC
ArticleShow and ArticleShowComplete don't exist either.
Comment 3 Christian Neubauer 2008-01-03 20:22:57 UTC
Looks to have been fixed by bug 12174.  A grep against r29226 shows all hooks are now documented.  There are probably still hooks missing from http://www.mediawiki.org/wiki/Manual:Hooks though.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links